/***************************************************************************
    globals.h  -  Definiert Globales ;-) (obsolet ?)
    ---------
    copyright : (C) 2001, 2002 by Dirk Rosert
    email     : dirk@kiste.ping.de
    author    : $Author: dirk $
    revision  : $Revision: 1.4 $
    CVS-ID    : $Id: globals.h,v 1.4 2002/01/09 12:23:52 dirk Exp $

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

/*
 * basiert auf KuickShow 0.8.1 von Carsten Pfeiffer <pfeiffer@kde.org>
 */


#ifndef GLOBALS_H
#define GLOBALS_H


// Qt include files:
#include <qrect.h>
#include <qsize.h>

// KDE include files:
#include <kwin.h>
#include <kwinmodule.h>


/**
 * Globals
 *
 * Definiert Globales ;-) <em>(obsolet ?)</em>.
 *
 * @author Dirk Rosert <dirk@kiste.ping.de>
 * $Revision: 1.4 $
 */
class Globals
{
public:

  /** */
  static QRect workArea()
  {
    return self()->winModule.workArea();
  }

  /** */
  static QSize frameSize( WId win = 0L )
  {
    if ( win )
    {
      KWin::Info info = KWin::info( win );
      int wborder = info.frameGeometry.width() - info.geometry.width();
      int hborder = info.frameGeometry.height() - info.geometry.height();
	
      if ( wborder || hborder )
      {
        // we get a 0,0 border when not shown
        s_frameSize.setWidth(wborder);
        s_frameSize.setHeight(hborder);
      }
    }
	
    if ( !s_frameSize.isValid() )
      return QSize( 0, 0 );

    return s_frameSize;
  }

  /** Zeigt auf sich. */
  static Globals *self()
  {
    if ( !s_self )
    {
      s_self = new Globals;
    }
    
    return s_self;
  }

  /** */
  KWinModule winModule;

private:

  /** */
  Globals() {}
    
  static Globals *s_self;
  static QSize s_frameSize;
};


#endif // END GLOBALS_H
